
.namespace s18_SearchSite

function OnEnable()
	SearchSite.OnEnable()
	OPLog.Log("OnEnable unit "..self.Name)
	--On définit le nom du tableau
	
	if  SampleLevel.IsEqual("s18_search_4","unstarted") then 
		liste_s18_4.Enabled = true
		
	end
	s18_door.SetFrame(0)
	if SampleLevel.IsEqual("s18_hache",true) then
		s18_door.SetFrame(1)
	end
end

function OnEnter()
	
	if SampleLevel.IsEqual("s18_firstenter",true) then
		SequencePlayer.Enabled = true
		SequencePlayer.PlaySequence("GP_1801",nil,nil)
		SampleLevel.Set("s18_firstenter",false)
	end	
	
	
end


function UpdateAll()
	
end

function OnPickObject(objname)

end
  function OnSequenceEnd (keyword)


   end

function OnSearchEnd(typesearch)
	if typesearch == 4 then
	
		InventoryManager.AddInInventory("InventoryHache","msg_ig_inventaire")
		InventoryHache.Equipped = true
	end
end
function OnPopupLeave(objname)
	if objname == "InventoryHache" then
		SequencePlayer.Enabled = true
		SequencePlayer.PlaySequence("GP_1803","s19_SearchSite",nil)
	end
	
end


function CondSpecificToFinish()

end